Bug 117393 - RickshawPublishAPIUpgrade doesn't run any content type initializers
Summary: RickshawPublishAPIUpgrade doesn't run any content type initializers
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Justin Ross
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 113496
TreeView+ depends on / blocked
 
Reported: 2004-03-03 15:46 UTC by Daniel Berrange
Modified: 2007-04-18 17:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-06 14:42:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2004-03-03 15:46:11 UTC
Description of problem:
As a result of bug 117390, the RickshawPublishAPIUpgrade manually runs
the CMS initializer before doings its work. This, however, means that
none of the content item/asset initializers will have been run when
the republishing takes places. One consequence of this is that none of
the content ype speciifc search metadata XML generation rules will be
registered & thus the search indexes will be populated with garbage.
In other cases the publish may not even complete if the content item /
asset requires that a custom DomainObjectInstantiators be present -
for example the 'Address' content type requires a custom instantiator
for the ISOCode object.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Justin Ross 2004-03-03 18:53:52 UTC
The RPAPIUpgrade#main method needs to run all the database-registered
initializers.  Adding to blocker list.

Comment 2 Justin Ross 2004-03-29 23:54:15 UTC
Fixed a while ago now.


Note You need to log in before you can comment on or make changes to this bug.